#include "defines.h"
#include "kozos.h"
#include "interrupt.h"
#include "lib.h"

/* ƥࡦȥ桼εư */
static int start_threads(int argc, char *argv[])
{
  kz_run(consdrv_main, "consdrv",  1, 0x200, 0, NULL);
  kz_run(command_main, "command",  8, 0x200, 0, NULL);

  kz_chpri(15); /* ̤ͥ򲼤ơɥ륹åɤ˰ܹԤ */

  while (1) {
    asm volatile ("wfi"); /* wait for interrupt */
  }

  return 0;
}

int main(void)
{
  puts("kozos boot succeed!\n");

  /* OSư */
  kz_start(start_threads, "idle", 0, 0x100, 0, NULL);
  /* ˤäƤʤ */

  return 0;
}
